function requireTemplate(templateName) {
    var template = $('#' + templateName);
    if (template.length === 0) {
        var tmpl_dir = 'templates';
        var tmpl_url = tmpl_dir + '/' + templateName + '.tmpl';
        var tmpl_string = '';

        console.log(tmpl_url);

        $.ajax({
            url: tmpl_url,
            method: 'GET',
            async: false,
            contentType: 'text',
            dataType: 'text',
            success: function (data) {
                tmpl_string = data;
            },
            error: function (xhr, ajaxOptions, thrownError) {
                console.log(xhr.status);
                console.log(thrownError);
            }
        });

        $('head').append('<script id="' + templateName + '" type="text/template">' + tmpl_string + '<\/script>');
    }
}